> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/businessrule.md).

# BusinessRule

## Gets a list of business\_rule

> This endpoint is used to fetch all the business\_rule in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/":{"get":{"operationId":"ux_common_business_rule_business_rule_list","description":"This endpoint is used to fetch all the business_rule in the current organization","summary":"Gets a list of business_rule","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["BusinessRule"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BusinessRule"}}}},"description":""}}}}}}
```

## Creates a new business\_rule&#x20;

> This endpoint is used to save a new business\_rule for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/business_rule/business_rule/":{"post":{"operationId":"ux_common_business_rule_business_rule_create","description":"This endpoint is used to save a new business_rule for the current organization","summary":"Creates a new business_rule ","tags":["BusinessRule"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a business\_rule with the given id

> This endpoint is used to fetch a business\_rule details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/{id}/":{"get":{"operationId":"ux_common_business_rule_business_rule_retrieve","description":"This endpoint is used to fetch a business_rule details in the current organization","summary":"Gets a business_rule with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["BusinessRule"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## Edits the business\_rule with given id

> This endpoint is used to edit an existing business\_rule for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/{id}/":{"put":{"operationId":"ux_common_business_rule_business_rule_update","description":"This endpoint is used to edit an existing business_rule for the current organization","summary":"Edits the business_rule with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["BusinessRule"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## Deletes the business\_rule with given id

> This endpoint is used to delete an existing business\_rule for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/business_rule/business_rule/{id}/":{"delete":{"operationId":"ux_common_business_rule_business_rule_destroy","description":"This endpoint is used to delete an existing business_rule for the current organization","summary":"Deletes the business_rule with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["BusinessRule"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/common/business\_rule/business\_rule/create-csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/create-csv/":{"post":{"operationId":"ux_common_business_rule_business_rule_create_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## POST /ux/common/business\_rule/business\_rule/csv\_cols/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/csv_cols/":{"post":{"operationId":"ux_common_business_rule_business_rule_csv_cols_create","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## GET /ux/common/business\_rule/business\_rule/download\_rule\_csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/download_rule_csv/":{"get":{"operationId":"ux_common_business_rule_business_rule_download_rule_csv_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## POST /ux/common/business\_rule/business\_rule/multidelete/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/multidelete/":{"post":{"operationId":"ux_common_business_rule_business_rule_multidelete_create","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## GET /ux/common/business\_rule/business\_rule/options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/options/":{"get":{"operationId":"ux_common_business_rule_business_rule_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## GET /ux/common/business\_rule/business\_rule/rule\_count/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/rule_count/":{"get":{"operationId":"ux_common_business_rule_business_rule_rule_count_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```

## POST /ux/common/business\_rule/business\_rule/upload-csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BusinessRule":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"module_name":{"type":"string","readOnly":true},"rule_id":{"type":"string"},"name":{"type":"string","maxLength":255},"type":{"type":"object","additionalProperties":{}},"is_enable":{"type":"boolean","default":true},"is_override":{"type":"boolean"},"precedence":{"type":"object","additionalProperties":{}},"module_id":{"type":"integer"},"depth":{"type":"integer","default":1},"description":{"type":"string","nullable":true},"is_deleted":{"type":"boolean"},"is_pre_configured":{"type":"boolean"}},"required":["id","module_name"]}}},"paths":{"/ux/common/business_rule/business_rule/upload-csv/":{"post":{"operationId":"ux_common_business_rule_business_rule_upload_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["BusinessRule"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/BusinessRule"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessRule"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/businessrule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
